nxt.addons

## Class AbstractEncryptedConfig

- java.lang.Object
- - nxt.addons.AbstractEncryptedConfig

- All Implemented Interfaces:
    AddOn
  Direct Known Subclasses:
    BundlingEncryptedConfig, ContractRunnerEncryptedConfig, ForgingEncryptedConfig, FundingMonitorsEncryptedConfig, StandbyShufflingEncryptedConfig

      public abstract class AbstractEncryptedConfig
      extends java.lang.Object
      implements AddOn

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEncryptedConfig()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract java.lang.String` | `getAPIRequestName()`
    `java.util.Map<java.lang.String,APIServlet.APIRequestHandler>` | `getAPIRequests()`
    `protected abstract APITag` | `getAPITag()`
    `protected abstract java.lang.String` | `getDataParameter()`
    `protected java.lang.String` | `getDefaultFilename()`
    `protected java.nio.file.Path` | `getDefaultPath()`
    `protected java.util.List<java.lang.String>` | `getExtraParameters()`
    `protected java.lang.String` | `getSaveData(javax.servlet.http.HttpServletRequest request)`
    `void` | `init()`
    `protected abstract org.json.simple.JSONStreamAware` | `processDecrypted(java.io.BufferedReader reader)`
    `protected java.nio.file.Path` | `resolvePath(java.lang.String pathString)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.addons.AddOn

      `getAPIRequestHandler, getAPIRequestType, shutdown`

- - ### Constructor Detail

    - #### AbstractEncryptedConfig

          public AbstractEncryptedConfig()

  - ### Method Detail

    - #### init

          public void init()

      Specified by:
        `init` in interface `AddOn`

    - #### getAPIRequests

          public java.util.Map<java.lang.String,APIServlet.APIRequestHandler> getAPIRequests()

      Specified by:
        `getAPIRequests` in interface `AddOn`

    - #### getAPIRequestName

          protected abstract java.lang.String getAPIRequestName()

    - #### getAPITag

          protected abstract APITag getAPITag()

    - #### getDataParameter

          protected abstract java.lang.String getDataParameter()

    - #### processDecrypted

          protected abstract org.json.simple.JSONStreamAware processDecrypted(java.io.BufferedReader reader)
                                                                       throws org.json.simple.parser.ParseException,
                                                                              java.io.IOException

      Throws:
        `org.json.simple.parser.ParseException`
        `java.io.IOException`

    - #### getExtraParameters

          protected java.util.List<java.lang.String> getExtraParameters()

    - #### getSaveData

          protected java.lang.String getSaveData(javax.servlet.http.HttpServletRequest request)
                                          throws ParameterException

      Throws:
        `ParameterException`

    - #### getDefaultFilename

          protected java.lang.String getDefaultFilename()

    - #### getDefaultPath

          protected java.nio.file.Path getDefaultPath()

    - #### resolvePath

          protected java.nio.file.Path resolvePath(java.lang.String pathString)